BizKitHub
DocsAPI ReferenceContact/bff/contact/set-password
postContactAdmin BFF

/bff/contact/set-password

Sets a new password for a contact account by direct operator action (no reset-token flow). Hashes with bcrypt, writes a shop__contact_password_log entry, and records a contact.set_password activity.

ContactpostBffContactSet-password

Parameters

JSON body

Request body

application/json
customerIdstringRequired

Contact external ID.

newPasswordstringRequired

New password to set.

Length: 1–∞

Response schema

1 status code documented

200Success
success"true"Required

Response example

application/json
{
  "success": true
}

Request example

POST /bff/contact/set-password

post
curl -X POST "https://api.bizkithub.com/bff/contact/set-password" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "customerId": "example_customerId",
  "newPassword": "example_newPassword"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key